cURL
curl --request GET \
--url https://{environment}.pragma.build/node/v1/funding_rates/history/{base}/{quote}import requests
url = "https://{environment}.pragma.build/node/v1/funding_rates/history/{base}/{quote}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{environment}.pragma.build/node/v1/funding_rates/history/{base}/{quote}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_next_page": true,
"page": 123,
"page_size": 123,
"data": [
{
"hourly_rate": 123,
"pair": "<string>",
"source": "<string>",
"timestamp_ms": 1
}
]
}Funding Rates
Historical funding rates
GET
/
node
/
v1
/
funding_rates
/
history
/
{base}
/
{quote}
cURL
Path Parameters
Base asset symbol (e.g., BTC)
Quote asset symbol (e.g., USD)
Query Parameters
Represents a range of timestamps
Frequency of data points (all, minute, hour). Defaults to 'all'
Available options:
All, Minute, Hour Page number (1-based)
Number of items per page (1-1000)
Pagination parameters Common pagination parameters that can be used across different endpoints
Show child attributes
Show child attributes
Was this page helpful?